### Hierarchy

- unknown
  - ChatMessage

## Index

### Constructors

- constructor

### Methods

- addAttachments
- clearAttachmentsList
- clearSenderNodeAddress
- getAckError
- getAcknowledged
- getArrived
- getAttachmentsList
- getDate
- getIsSystemMessage
- getMessage
- getSendMessageError
- getSenderIsTrader
- getSenderNodeAddress
- getStoredInMailbox
- getTradeId
- getTraderId
- getType
- getUid
- getWasDisplayed
- hasSenderNodeAddress
- serializeBinary
- setAckError
- setAcknowledged
- setArrived
- setAttachmentsList
- setDate
- setIsSystemMessage
- setMessage
- setSendMessageError
- setSenderIsTrader
- setSenderNodeAddress
- setStoredInMailbox
- setTradeId
- setTraderId
- setType
- setUid
- setWasDisplayed
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ChatMessage(): ChatMessage

- Inherited from jspb.Message.constructor

  #### Returns ChatMessage

## Methods

### addAttachments

- addAttachments(value?: Attachment, index?: number): Attachment

- - Defined in src/protobuf/pb_pb.d.ts:2102

  #### Parameters

  - ##### Optional value: Attachment

  - ##### Optional index: number

  #### Returns Attachment

### clearAttachmentsList

- clearAttachmentsList(): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2101

  #### Returns ChatMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2116

  #### Returns ChatMessage

### getAckError

- getAckError(): string

- - Defined in src/protobuf/pb_pb.d.ts:2127

  #### Returns string

### getAcknowledged

- getAcknowledged(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2124

  #### Returns boolean

### getArrived

- getArrived(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2104

  #### Returns boolean

### getAttachmentsList

- getAttachmentsList(): Attachment []

- - Defined in src/protobuf/pb_pb.d.ts:2099

  #### Returns Attachment []

### getDate

- getDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:2084

  #### Returns number

### getIsSystemMessage

- getIsSystemMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2110

  #### Returns boolean

### getMessage

- getMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:2096

  #### Returns string

### getSendMessageError

- getSendMessageError(): string

- - Defined in src/protobuf/pb_pb.d.ts:2121

  #### Returns string

### getSenderIsTrader

- getSenderIsTrader(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2093

  #### Returns boolean

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2113

  #### Returns undefined | NodeAddress

### getStoredInMailbox

- getStoredInMailbox(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2107

  #### Returns boolean

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:2087

  #### Returns string

### getTraderId

- getTraderId(): number

- - Defined in src/protobuf/pb_pb.d.ts:2090

  #### Returns number

### getType

- getType(): SupportType

- - Defined in src/protobuf/pb_pb.d.ts:2130

  #### Returns SupportType

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:2118

  #### Returns string

### getWasDisplayed

- getWasDisplayed(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2133

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2115

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2136

  #### Returns Uint8Array

### setAckError

- setAckError(value: string): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2128

  #### Parameters

  - ##### value: string

  #### Returns ChatMessage

### setAcknowledged

- setAcknowledged(value: boolean): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2125

  #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

### setArrived

- setArrived(value: boolean): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2105

  #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

### setAttachmentsList

- setAttachmentsList(value: Attachment []): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2100

  #### Parameters

  - ##### value: Attachment []

  #### Returns ChatMessage

### setDate

- setDate(value: number): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2085

  #### Parameters

  - ##### value: number

  #### Returns ChatMessage

### setIsSystemMessage

- setIsSystemMessage(value: boolean): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2111

  #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

### setMessage

- setMessage(value: string): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2097

  #### Parameters

  - ##### value: string

  #### Returns ChatMessage

### setSendMessageError

- setSendMessageError(value: string): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2122

  #### Parameters

  - ##### value: string

  #### Returns ChatMessage

### setSenderIsTrader

- setSenderIsTrader(value: boolean): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2094

  #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2114

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns ChatMessage

### setStoredInMailbox

- setStoredInMailbox(value: boolean): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2108

  #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

### setTradeId

- setTradeId(value: string): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2088

  #### Parameters

  - ##### value: string

  #### Returns ChatMessage

### setTraderId

- setTraderId(value: number): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2091

  #### Parameters

  - ##### value: number

  #### Returns ChatMessage

### setType

- setType(value: SupportType ): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2131

  #### Parameters

  - ##### value: SupportType

  #### Returns ChatMessage

### setUid

- setUid(value: string): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2119

  #### Parameters

  - ##### value: string

  #### Returns ChatMessage

### setWasDisplayed

- setWasDisplayed(value: boolean): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2134

  #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

### toObject

- toObject(includeInstance?: boolean): ChatMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2137

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ChatMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2140

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ChatMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ChatMessage, reader: BinaryReader): ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:2141

  #### Parameters

  - ##### message: ChatMessage

  - ##### reader: BinaryReader

  #### Returns ChatMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ChatMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2139

  #### Parameters

  - ##### message: ChatMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ChatMessage ): ChatMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2138

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ChatMessage

  #### Returns ChatMessage . AsObject

Generated using TypeDoc